13 Replies Latest reply on May 8, 2016 4:00 PM by siteminderUX

    Lightroom says I am up to date but I am not

    siteminderUX Level 1

      Hi

      I just got a new Canon 80D and cannot add the files to LR. The version I have is 5.7.1 and camera raw 8.7.1. From what I read I need LR 6.5 but LR on a MAC tells me I am up to date. Do I need to uninstall LR and start again or is 5.7.1 is the latest Mac version?

      Thanks

      Mica